%global gittag sgx_%{version}

Name:    eclipse-sgx
Summary: Intel Software Guard Extensions Plug-in for Eclipse
Version: 2.0
Release: 1%{?dist}	

License: EPL
URL: https://01.org/intel-softwareguard-extensions
Source0: https://github.com/01org/linux-sgx/archive/%{gittag}/%{name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: tycho
BuildRequires: maven-local
BuildRequires: eclipse-cdt

%description
The Intel Software Guard Extensions Plug-in enables ISVs to develop Linux
applications with Intel Software Guard Extensions. The plug-in extends the
C/C++ Development tools plug-in to allow ISVs develop secure extensions in
C or C++. The plug-in also allows conversion of an Linux Application project
into an Linux Application project with Software Guard Extensions.

%prep
%setup -q -n linux-sgx-%{gittag}

# Relax version restrictions on dependencies
sed -i -e 's/compatible/greaterOrEqual/' \
  Linux_SGXEclipsePlugin/build_directory/features/com.intel.sgx.feature/feature.xml

# Generate tycho poms
pushd Linux_SGXEclipsePlugin
xmvn -o -B org.eclipse.tycho:tycho-pomgenerator-plugin:generate-poms -DgroupId=com.intel.sgx
popd

# Don't need to package poms for eclipse plugins
%mvn_package "::pom::" __noinstall

%build
%mvn_build -j -- -f Linux_SGXEclipsePlugin/pom.xml

%install
%mvn_install

%files -f .mfiles
%doc README.md

%changelog
* Tue Dec 05 2017 Mat Booth <mat.booth@redhat.com> - 2.0-1
- Initial packaging


